> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cybedefend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scaleway Credential Details

> Get details of a specific Scaleway Container Registry credential

## Path Parameters

<ParamField path="projectId" type="string" required>
  The UUID of the project
</ParamField>

<ParamField path="credentialId" type="string" required>
  The UUID of the stored credential
</ParamField>

## Authorization

Requires `read` permission on the project.

## Response

<ResponseField name="success" type="boolean">
  Whether the request succeeded
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="Credential Object">
    <ResponseField name="id" type="string">
      Credential UUID
    </ResponseField>

    <ResponseField name="region" type="string">
      Scaleway region
    </ResponseField>

    <ResponseField name="namespaceId" type="string">
      Scaleway namespace UUID
    </ResponseField>

    <ResponseField name="namespaceName" type="string">
      Namespace name
    </ResponseField>

    <ResponseField name="registryEndpoint" type="string">
      Registry endpoint URL
    </ResponseField>

    <ResponseField name="description" type="string">
      Credential description
    </ResponseField>

    <ResponseField name="createdAt" type="string">
      ISO 8601 creation timestamp
    </ResponseField>

    <ResponseField name="updatedAt" type="string">
      ISO 8601 last update timestamp
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "region": "fr-par",
      "namespaceId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "namespaceName": "production-registry",
      "registryEndpoint": "rg.fr-par.scw.cloud/production-registry",
      "description": "Production registry",
      "createdAt": "2026-03-17T10:30:00.000Z",
      "updatedAt": "2026-03-17T10:30:00.000Z"
    }
  }
  ```
</ResponseExample>

<Note>
  Secret keys are never returned in API responses. Credentials are stored with AES-256-GCM encryption at rest.
</Note>
